Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: martin rudalics <[email-masked]>
Date: Sat, 22 Mar 2014 20:34:32 +0100

> Yes, though I prefer using "emacs -Q -l file.el" because desktop does
 > many other things, like trying to restore modes, global and local
 > variables, etc.

OK.  But the problem is IMO that Robert ran this with a frameset derived
from the a saved desktop of the bad frame.  This won't reproduce the
problem because that frameset is likely OK (I did not see any
inconsistencies in the frame dump at least).  We have to run this with a
frameset derived from the original two windows frame.  I hope I attached
a correct version in my last mail, please have a look.

Now if that frameset produces two windows as I expect, we know that the
problem is with transforming the initial Emacs frame, which apparently
is not good for restoring this desktop.  Then we have to step by step
remove lines from bug17046.el until we arrive at the line that causes
the problem.

martin